<div class="module new-thread">

    <form [formGroup]="form" (submit)="submit()">

        <div class="form-grid">

            <div>
                <mr-dropzone
                formControlName="image"></mr-dropzone>
            </div>

            <div>
                <input
                *mrFormControl
                mrFormControlValidation
                type="text"
                name="title"
                class="input-title"
                placeholder="Título de la ficha"
                formControlName="title">

                <hr>

                <mr-editor
                *mrFormControl
                mrFormControlValidation
                [toolbarButtons]="toolbar.FULL"
                formControlName="body" #body></mr-editor>
            </div>

        </div>

        <hr>

        <div class="footer-buttons">

            <a mr-button
            class="primary reverse"
            routerLink="/">
                Cancelar
            </a>

            <button mr-button
            [class.disabled]="form.invalid"
            [loading]="ui.postFileLoading$ | async"
            type="submit"
            class="primary"
            title="Guardar">
                Guardar
            </button>

        </div>
    </form>

</div>
